Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3077)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3078)
@@ -17,31 +17,35 @@
 import org.txm.utils.logger.Log;
 
 public class TableKeyListener implements KeyListener {
+	
 	TableViewer[] viewers;
-
+	
 	public TableKeyListener(TableViewer... viewers) {
 		this.viewers = viewers;
 	}
-
+	
 	@Override
 	public void keyReleased(KeyEvent e) {
-
+		
 	}
-
+	
 	@Override
 	public void keyPressed(KeyEvent e) {
-		//System.out.println("key code: "+e.keyCode);
-		if ((e.stateMask & SWT.CTRL) != 0 && e.keyCode == 99 ) { // CTRL + C
+		// System.out.println("key code: "+e.keyCode);
+		if ((e.stateMask & SWT.CTRL) != 0 && e.keyCode == 99) { // CTRL + C
 			copyLinesToClipboard(e);
-		} else if ((e.stateMask & SWT.CTRL) != 0 && e.keyCode == 102 ) { // CTRL + F
+		}
+		else if ((e.stateMask & SWT.CTRL) != 0 && e.keyCode == 102) { // CTRL + F
 			searchInLines(e);
-		} else if ((e.stateMask & SWT.COMMAND) != 0 && e.keyCode == 99 ) { // CMD + C
+		}
+		else if ((e.stateMask & SWT.COMMAND) != 0 && e.keyCode == 99) { // CMD + C
 			copyLinesToClipboard(e);
-		} else if ((e.stateMask & SWT.COMMAND) != 0 && e.keyCode == 102 ) { // CMD + F
+		}
+		else if ((e.stateMask & SWT.COMMAND) != 0 && e.keyCode == 102) { // CMD + F
 			searchInLines(e);
 		}
 	}
-
+	
 	/**
 	 * Opens a dialog box to enter a REGEX that selects lines in the table.
 	 */
@@ -51,72 +55,72 @@
 		if (dialog.open() == Window.OK) {
 			for (TableViewer viewer : viewers) {
 				TableItem[] items = viewer.getTable().getItems();
-				//System.out.println("search in tablein items: "+Arrays.toString(items));
-
+				// System.out.println("search in tablein items: "+Arrays.toString(items));
+				
 				TableColumn[] cols = viewer.getTable().getColumns();
-					String reg = dialog.getValue();
-					Pattern p = Pattern.compile(reg);
-					// TODO: useless ?
-					//ArrayList<TableItem> matchingItem = new ArrayList<TableItem>();
-					ArrayList<Integer> matchingIndexes = new ArrayList<Integer>();
-					for (int l = 0 ; l < items.length ; l++) {
-						TableItem item = items[l];
-						for (int i = 0 ; i < cols.length ; i++) {
-							if (p.matcher(item.getText(i)).matches()) {
-								// TODO: useless
-								//matchingItem.add(item);
-								matchingIndexes.add(l);
-								break; // next line
-							}
+				String reg = dialog.getValue();
+				Pattern p = Pattern.compile(reg);
+				// TODO: useless ?
+				// ArrayList<TableItem> matchingItem = new ArrayList<TableItem>();
+				ArrayList<Integer> matchingIndexes = new ArrayList<>();
+				for (int l = 0; l < items.length; l++) {
+					TableItem item = items[l];
+					for (int i = 0; i < cols.length; i++) {
+						if (p.matcher(item.getText(i)).matches()) {
+							// TODO: useless
+							// matchingItem.add(item);
+							matchingIndexes.add(l);
+							break; // next line
 						}
 					}
-					Log.fine(TXMCoreMessages.bind(TXMUIMessages.foundLinesColon, matchingIndexes));
-
-					// TODO: useless ?
-//					int[] indexes = new int[matchingIndexes.size()];
-//					TableItem[] mitems = new TableItem[matchingItem.size()];
-//					int i = 0;
-//					for(int index : matchingIndexes) {
-//						indexes[i++] = index;
-//					}
-//					i = 0;
-//					for(TableItem item : matchingItem) {
-//						mitems[i++] = item;
-//					}
-
-					// TODO: old version which doesn't trigger selection event
-//					if (mitems.length > 0) {
-//						viewer.getTable().showItem(mitems[0]); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
-//						viewer.getTable().deselectAll(); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
-//						viewer.getTable().select(indexes); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
-					
-					// trigger selection event on viewer
-					if (matchingIndexes.size() > 0) {
-						ArrayList elements = new ArrayList(matchingIndexes.size());
-						for(int j = 0; j < matchingIndexes.size(); j++) {
-							elements.add(viewer.getElementAt(matchingIndexes.get(j)));
+				}
+				Log.fine(TXMCoreMessages.bind(TXMUIMessages.foundLinesColon, matchingIndexes));
+				
+				// TODO: useless ?
+				// int[] indexes = new int[matchingIndexes.size()];
+				// TableItem[] mitems = new TableItem[matchingItem.size()];
+				// int i = 0;
+				// for(int index : matchingIndexes) {
+				// indexes[i++] = index;
+				// }
+				// i = 0;
+				// for(TableItem item : matchingItem) {
+				// mitems[i++] = item;
+				// }
+				
+				// TODO: old version which doesn't trigger selection event
+				// if (mitems.length > 0) {
+				// viewer.getTable().showItem(mitems[0]); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
+				// viewer.getTable().deselectAll(); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
+				// viewer.getTable().select(indexes); // useless: viewer.getTable().setSelection(indexes) can replace these 3 lines of code
+				
+				// trigger selection event on viewer
+				if (matchingIndexes.size() > 0) {
+					ArrayList<Object> elements = new ArrayList<>(matchingIndexes.size());
+					for (int j = 0; j < matchingIndexes.size(); j++) {
+						elements.add(viewer.getElementAt(matchingIndexes.get(j)));
+					}
+					viewer.setSelection(new StructuredSelection(elements), true);
+					for (TableViewer oViewer : viewers) {
+						if (oViewer != viewer) {
+							oViewer.getTable().deselectAll();
+							oViewer.getTable().select(viewer.getTable().getSelectionIndices());
 						}
-						viewer.setSelection(new StructuredSelection(elements), true);
-						for (TableViewer oViewer : viewers) {
-							if (oViewer != viewer) {
-								oViewer.getTable().deselectAll();
-								oViewer.getTable().select(viewer.getTable().getSelectionIndices());
-							}
-						}
-						return;
 					}
+					return;
+				}
 			}
 		}
 	}
-
+	
 	/**
 	 * Copies the current lines selection to the clipboard.
 	 */
 	public void copyLinesToClipboard(KeyEvent e) {
 		
-		StringBuffer str = new StringBuffer(); //$NON-NLS-1$
-	
-		for (int l = 0 ; l < viewers[0].getTable().getSelection().length ; l++) {
+		StringBuffer str = new StringBuffer();
+		
+		for (int l = 0; l < viewers[0].getTable().getSelection().length; l++) {
 			
 			if (l > 0) str.append("\n"); //$NON-NLS-1$
 			
@@ -125,8 +129,8 @@
 				TableItem[] items = viewer.getTable().getSelection();
 				TableItem item = items[l];
 				
-				for (int i = 0 ; i < cols.length ; i++) {
-					if (cols[i].getText().trim().length() >0) {
+				for (int i = 0; i < cols.length; i++) {
+					if (cols[i].getText().trim().length() > 0) {
 						if (i > 0) str.append("\t"); //$NON-NLS-1$
 						str.append(item.getText(i));
 					}
@@ -138,4 +142,4 @@
 		org.txm.rcp.utils.IOClipboard.write(strr);
 		Log.info(TXMCoreMessages.bind(TXMUIMessages.copiedLinesColon, strr));
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,5 +4,5 @@
 Bundle-SymbolicName: org.txm.treetagger.core.linux
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.txm.treetagger.core.linux
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 3077)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 3078)
@@ -66,36 +66,35 @@
  * 
  */
 public class ExternalizationFilesUpdater {
-
+	
 	static boolean debug = false; // activate the properties files content display
 	
 	/** The dirfiles to process containing "(messages|bundle)(_$lang)?.properties" files */
-	LinkedList<File> dirfiles = new LinkedList<File>();
+	LinkedList<File> dirfiles = new LinkedList<>();
 	
 	/** The propertyfiles. */
-	HashMap<File, List<File>> propertyfiles = new HashMap<File, List<File>>();
+	HashMap<File, List<File>> propertyfiles = new HashMap<>();
 	
 	/** The fileentries: the messages keys */
-	HashMap<File, List<String>> fileentries = new HashMap<File, List<String>>();
+	HashMap<File, List<String>> fileentries = new HashMap<>();
 	
 	/** The fileentriesvalues: the messages key<->value s. */
-	HashMap<File, HashMap<String, String>> fileentriesvalues = new HashMap<File, HashMap<String, String>>();
-
+	HashMap<File, HashMap<String, String>> fileentriesvalues = new HashMap<>();
+	
 	/**
 	 * Gets the entries.
 	 *
 	 * @param file the file
 	 * @return the entries
-	 * @throws IOException 
+	 * @throws IOException
 	 */
-	public static List<String> getEntries(File file) throws IOException
-	{
-		List<String> entries = new ArrayList<String>();
+	public static List<String> getEntries(File file) throws IOException {
+		List<String> entries = new ArrayList<>();
 		String encoding = "iso-8859-1";
 		if (file.getName().startsWith("message")) { // TXM manages messages.properties encoded in UTF-8
 			encoding = "UTF-8";
 		}
-		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file) , encoding));
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file), encoding));
 		String line = reader.readLine();
 		while (line != null) {
 			String[] split = line.split("=", 2);
@@ -105,25 +104,25 @@
 			line = reader.readLine();
 		}
 		reader.close();
-		if (debug) System.out.println(" ENTRIES "+file+" -> "+entries);
+		if (debug) System.out.println(" ENTRIES " + file + " -> " + entries);
 		return entries;
 	}
-
+	
 	/**
 	 * Gets the values.
 	 *
 	 * @param file the file
 	 * @return the values
-	 * @throws IOException 
+	 * @throws IOException
 	 */
 	public static HashMap<String, String> getValues(File file) throws IOException {
-		HashMap<String, String> values = new HashMap<String, String>();
+		HashMap<String, String> values = new HashMap<>();
 		
 		String encoding = "iso-8859-1";
 		if (file.getName().startsWith("message")) { // TXM manages messages.properties encoded in UTF-8
 			encoding = "UTF-8";
 		}
-		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file) , encoding));
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file), encoding));
 		
 		String line = reader.readLine();
 		while (line != null) {
@@ -135,18 +134,18 @@
 		}
 		reader.close();
 		
-		if (debug) System.out.println(" VALUES "+file+" -> "+values);
+		if (debug) System.out.println(" VALUES " + file + " -> " + values);
 		return values;
 	}
-
+	
 	/**
 	 * Process found directories.
-	 * @throws IOException 
+	 * 
+	 * @throws IOException
 	 */
-	public void processFoundDirectories() throws IOException
-	{
+	public void processFoundDirectories() throws IOException {
 		for (File dirfile : dirfiles) {
-			System.out.println("DIRECTORY : "+dirfile);
+			System.out.println("DIRECTORY : " + dirfile);
 			List<File> files = propertyfiles.get(dirfile);
 			for (File f : files) {
 				this.fileentries.put(f, getEntries(f)); // ordered
@@ -154,82 +153,83 @@
 			}
 			File reference = null;
 			if (files.get(0).getName().startsWith("m")) {
-				reference = new File(dirfile,"messages.properties");
+				reference = new File(dirfile, "messages.properties");
 			}
 			else if (files.get(0).getName().startsWith("b")) {
-				reference = new File(dirfile,"bundle.properties");
+				reference = new File(dirfile, "bundle.properties");
 			}
 			if (reference != null && reference.exists()) {
 				for (File f : files) {
 					if (!f.getName().equals(reference.getName())) {
-						List<String> refentries = new ArrayList(this.fileentries.get(reference));
-						List<String> tmp1 = new ArrayList(this.fileentries.get(f));
+						List<String> refentries = new ArrayList<>(this.fileentries.get(reference));
+						List<String> tmp1 = new ArrayList<>(this.fileentries.get(f));
 						tmp1.removeAll(refentries);
 						
 						refentries = this.fileentries.get(reference);
 						List<String> tmp = this.fileentries.get(f);
 						refentries.removeAll(tmp);
 						for (String missing : refentries) {
-							this.fileentriesvalues.get(f).put(missing,"N/A_"+this.fileentriesvalues.get(reference).get(missing)); // put entry's value
+							this.fileentriesvalues.get(f).put(missing, "N/A_" + this.fileentriesvalues.get(reference).get(missing)); // put entry's value
 						}
 						
 						this.fileentries.put(f, this.fileentries.get(reference)); // update file entries
 						
 						if (tmp1.size() > 0 || refentries.size() > 0)
-							System.out.println(" "+f.getName());
+							System.out.println(" " + f.getName());
 						if (tmp1.size() > 0)
-							System.out.println( "  Removed keys : "+tmp1);
+							System.out.println("  Removed keys : " + tmp1);
 						if (refentries.size() > 0)
-							System.out.println( "  Added keys : "+refentries);
+							System.out.println("  Added keys : " + refentries);
 					}
 				}
 			}
 		}
 	}
-
+	
 	/**
 	 * Update files.
-	 * @throws IOException 
+	 * 
+	 * @throws IOException
 	 */
 	public void updateFiles() throws IOException {
 		for (File dirfile : dirfiles) {
 			List<File> files = propertyfiles.get(dirfile);
 			for (File f : files) {
 				
-				List<String> entries =  this.fileentries.get(f);
-				if (debug) System.out.println(" U "+f+" <- "+entries);
+				List<String> entries = this.fileentries.get(f);
+				if (debug) System.out.println(" U " + f + " <- " + entries);
 				HashMap<String, String> values = this.fileentriesvalues.get(f);
 				
-				OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(f) , "iso-8859-1");
+				OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(f), "iso-8859-1");
 				for (String entry : entries) {
-					writer.write(entry+"="+values.get(entry)+"\n");
+					writer.write(entry + "=" + values.get(entry) + "\n");
 				}
 				writer.close();
 			}
 		}
 	}
-
+	
 	/**
 	 * Creates the missing files.
 	 *
 	 * @param lang the suffix
-	 * @throws IOException 
+	 * @throws IOException
 	 */
-	public void createMissingFiles(String lang) throws IOException
-	{
-		System.out.println("Looking for missing messages files "+ lang);
+	public void createMissingFiles(String lang) throws IOException {
+		System.out.println("Looking for missing messages files " + lang);
 		for (File dirfile : dirfiles) {
-			//println "DIRECTORY : "+dirfile
+			// println "DIRECTORY : "+dirfile
 			File reference = null;
 			String lookingname = "";
 			List<File> files = propertyfiles.get(dirfile);
 			if (files.get(0).getName().startsWith("m")) {
-				reference = new File(dirfile,"messages.properties");
-				lookingname = "messages_"+lang+".properties";
-			} else if (files.get(0).getName().startsWith("b")) {
-				reference = new File(dirfile,"bundle.properties");
-				lookingname = "bundle_"+lang+".properties";
+				reference = new File(dirfile, "messages.properties");
+				lookingname = "messages_" + lang + ".properties";
 			}
+			else if (files.get(0).getName().startsWith("b")) {
+				reference = new File(dirfile, "bundle.properties");
+				lookingname = "bundle_" + lang + ".properties";
+			}
 			
 			boolean create = true;
 			if (reference != null && reference.exists()) {
@@ -240,50 +240,51 @@
 			}
 			
 			if (create) {
-				new File(dirfile,lookingname).createNewFile();
-				System.out.println("Create file " +new File(dirfile,lookingname));
+				new File(dirfile, lookingname).createNewFile();
+				System.out.println("Create file " + new File(dirfile, lookingname));
 			}
 		}
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
+	@Override
 	public String toString() {
 		String rez = "";
 		for (File dirfile : dirfiles) {
-			rez += dirfile+"\n";
+			rez += dirfile + "\n";
 			for (File f : propertyfiles.get(dirfile)) {
-				rez += "  "+f.getName()+"\n";
+				rez += "  " + f.getName() + "\n";
 			}
 		}
 		return rez;
 	}
-
+	
 	/**
 	 * Scan directory.
 	 *
 	 * @param directory the directory
 	 */
-	public void scanDirectory(File directory)
-	{
+	public void scanDirectory(File directory) {
 		if (!directory.exists()) {
-			System.out.println("directory '"+directory+"' does not exists");
+			System.out.println("directory '" + directory + "' does not exists");
 			return;
 		}
 		
-		System.out.println("scan directory : "+directory.getAbsolutePath());
-		LinkedList<File> files = new LinkedList<File>();
+		System.out.println("scan directory : " + directory.getAbsolutePath());
+		LinkedList<File> files = new LinkedList<>();
 		files.add(directory);
 		
 		while (!files.isEmpty()) {
 			File current = files.removeFirst();
 			if (current.isDirectory() && !current.getName().equals("bin")) {
-				List<File> currentpfiles = new ArrayList<File>();
+				List<File> currentpfiles = new ArrayList<>();
 				for (File sfile : current.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 					if (sfile.isDirectory())
 						files.add(sfile);
-					else if(sfile.getName().endsWith(".properties") && (sfile.getName().startsWith("messages") || sfile.getName().startsWith("bundle")) )
+					else if (sfile.getName().endsWith(".properties") && (sfile.getName().startsWith("messages") || sfile.getName().startsWith("bundle")))
 						currentpfiles.add(sfile);
 				}
 				if (currentpfiles.size() > 0) {
@@ -293,26 +294,25 @@
 			}
 		}
 	}
-
+	
 	/**
 	 * The main method.
 	 *
 	 * @param args the arguments
-	 * @throws IOException 
+	 * @throws IOException
 	 */
-	public static void main(String[] args) throws Exception
-	{
+	public static void main(String[] args) throws Exception {
 		String userdir = System.getProperty("user.home");
 		File workspaceDir = new File(userdir, "workspace047/org.txm.annotation.urs.rcp");
 		
 		for (File project : workspaceDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
-		//	if (!project.getName().endsWith(".rcp")) continue;
+			// if (!project.getName().endsWith(".rcp")) continue;
 			
-			System.out.println("*** "+project+" ***");
+			System.out.println("*** " + project + " ***");
 			
-			String[] langs = {"fr", "ru"};
+			String[] langs = { "fr", "ru" };
 			ExternalizationFilesUpdater scanner = new ExternalizationFilesUpdater();
 			scanner.scanDirectory(project);
 			for (String lang : langs) {
@@ -322,4 +322,4 @@
 			scanner.updateFiles();
 		}
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp.p2.ui/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp.p2.ui/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.rcp.p2.ui/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.rcp.p2.ui
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.eclipse.equinox.p2.ui;bundle-version="2.3.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Eclipse-PatchFragment: true
 Bundle-ClassPath: library.jar,
  .
Index: tmp/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.win32
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Eclipse-PlatformFilter: (osgi.os=win32)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.win32
Index: tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF	(revision 3078)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.eclipse.ui.workbench;bundle-version="3.110.1.v20170704-1208"
 Eclipse-PatchFragment: true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: library.jar,
  .
 Export-Package: org.eclipse.ui.internal.about
